/*

    File: test.frag

    Copyright (C) 2000-2009 Christopher Moore (christopher.e.moore@gmail.com)
	  
    This software is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
  
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License along
    with this program; if not, write the Free Software Foundation, Inc., 51
    Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/
varying vec2 texCoord;
varying vec3 lightVec;
varying vec3 eyeVec;
//old code:
varying vec3 normal;

void main() {
	vec4 matAmb = vec4(0,0,0,1);
	vec4 matDiff = vec4(1,1,1,1);
	vec4 matSpec = vec4(1,1,1,1);
	float shininess = 10.0;
	float invRadius = 0.01;

	float distSqr = dot(lightVec, lightVec);
	float att = clamp(1.0 - invRadius * sqrt(distSqr), 0.0, 1.0);
	vec3 lVec = lightVec * inversesqrt(distSqr);

	vec3 un = normalize(normal);
	gl_FragColor = vec4(un.z,0,0,1);
}